(function() {
	/*
	 * Splash表示（javascriptでタイムアウト）
	 */
	showSplashTimeoutByJavascript = function() {
		//タイムアウト時間(単位：ミリ秒)
		var timeout = 2000;
		applican.splashscreen.show("splash/splashTimeoutByJavascript_portrait.png", "splash/splashTimeoutByJavascript_landscape.png");

		//javascriptでタイムアウト
		setTimeout(function() {
			applican.splashscreen.hide();
		}, timeout);
	};

	/*
	 * Splash表示（プラットフォーム側でタイムアウト）
	 */
	showSplashTimeoutByPlatform = function() {
		//タイムアウト時間(単位：ミリ秒)
		var timeout = 3000;
		applican.splashscreen.show("splash/splashTimeoutByPlatform_portrait.png", "splash/splashTimeoutByPlatform_landscape.png", timeout);
	};

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		// 「スプラッシュ表示(2秒で閉じる)」ボタン押下処理
		document.getElementById("showByJavascriptBtn").addEventListener("touchend", showSplashTimeoutByJavascript, false);
		// 「スプラッシュ表示(3秒で閉じる)」ボタン押下処理
		document.getElementById("showByPlatformBtn").addEventListener("touchend", showSplashTimeoutByPlatform, false);
	}, false);
})();
